LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XTablesSupplier Interface Referencepublished

provides for access to a container of tables, typically used for a database definition object. More...

`import"XTablesSupplier.idl";`

Inheritance diagram for XTablesSupplier:

## Public Member Functions
com::sun::star::container::XNameAccess | getTables ()
| returns the container of tables. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides for access to a container of tables, typically used for a database definition object.

## Member Function Documentation

## ◆ getTables()

com::sun::star::container::XNameAccess getTables | ( |  | ) |

returns the container of tables.

Returns
  the tables

The documentation for this interface was generated from the following file:

- com/sun/star/sdbcx/XTablesSupplier.idl